<html>
<head>
<title>Ogre::ResourceBackgroundQueue::ResourceResponse Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">ResourceBackgroundQueue</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceResponse.html">ResourceResponse</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ResourceBackgroundQueue::ResourceResponse Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ResourceBackgroundQueue::ResourceResponse" -->
<p>Struct that holds details of queued notifications.  
 <a href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceResponse.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>&gt;</code></p>

<p><a href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceResponse-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceResponse.html#a273f0c5b3275ddd6166ba2ef76888c15">ResourceResponse</a> (<a class="el" href="group__Resources.html#ga4697cc0c72aef3b488c7e058adf734ed">ResourcePtr</a> r, const <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html">ResourceRequest</a> &amp;req)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Resources.html#ga4697cc0c72aef3b488c7e058adf734ed">ResourcePtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceResponse.html#a4718ced699bc2d2105c04044db17e8ee">resource</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html">ResourceRequest</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceResponse.html#a2fe25475ea2db06e0ec8382d876d46c2">request</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceResponse.html#a99ed1dd62bfaafa97c80fea4c7e349b7">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceResponse.html">ResourceResponse</a> &amp;r)</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Struct that holds details of queued notifications. </p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00144">144</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a273f0c5b3275ddd6166ba2ef76888c15"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::ResourceResponse::ResourceResponse" ref="a273f0c5b3275ddd6166ba2ef76888c15" args="(ResourcePtr r, const ResourceRequest &amp;req)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceResponse.html#a273f0c5b3275ddd6166ba2ef76888c15">Ogre::ResourceBackgroundQueue::ResourceResponse::ResourceResponse</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga4697cc0c72aef3b488c7e058adf734ed">ResourcePtr</a>&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html">ResourceRequest</a> &amp;&#160;</td>
          <td class="paramname"><em>req</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00146">146</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="a99ed1dd62bfaafa97c80fea4c7e349b7"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::ResourceResponse::operator&lt;&lt;" ref="a99ed1dd62bfaafa97c80fea4c7e349b7" args="(std::ostream &amp;o, const ResourceResponse &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceResponse.html">ResourceResponse</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00153">153</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a2fe25475ea2db06e0ec8382d876d46c2"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::ResourceResponse::request" ref="a2fe25475ea2db06e0ec8382d876d46c2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceRequest.html">ResourceRequest</a> <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceResponse.html#a2fe25475ea2db06e0ec8382d876d46c2">Ogre::ResourceBackgroundQueue::ResourceResponse::request</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00151">151</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4718ced699bc2d2105c04044db17e8ee"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::ResourceResponse::resource" ref="a4718ced699bc2d2105c04044db17e8ee" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Resources.html#ga4697cc0c72aef3b488c7e058adf734ed">ResourcePtr</a> <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1ResourceResponse.html#a4718ced699bc2d2105c04044db17e8ee">Ogre::ResourceBackgroundQueue::ResourceResponse::resource</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00150">150</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:04
</p>
</body>
</html>
